Get Effect Template List
curl --request GET \
--url https://api.weryai.com/v1/generation/effect-template/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.weryai.com/v1/generation/effect-template/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.weryai.com/v1/generation/effect-template/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"desc": "success",
"message": "success",
"data": {
"content": [
{
"id": 1001,
"name": "AI Portrait",
"type": "IMAGE",
"cover_url": "https://cdn.weryai.com/template/cover1.jpg",
"configs": [
{
"id": 2001,
"name": "Style A",
"cover_url": "https://cdn.weryai.com/template/config_cover1.jpg",
"sample_urls": [
"https://cdn.weryai.com/template/sample1.jpg"
],
"image_input": 1,
"aspect_ratio": [
"1:1",
"16:9"
],
"bgm": false,
"credit": 10,
"prompt_customizable": true,
"prompt_variables": [
{
"key": "style",
"index": 0
}
]
}
]
}
],
"page": 1,
"page_size": 10,
"total_page": 1,
"total": 1
}
}{
"status": 1002,
"desc": "Authentication failed",
"message": "Invalid API Key"
}Effect Template
Get Effect Template List
Get a paginated list of effect templates with their configurations. Currently only IMAGE type templates are available via Open API.
GET
/
v1
/
generation
/
effect-template
/
list
Get Effect Template List
Authorizations
Authenticate using Bearer token. Get your API Key from the WeryAI Console.
Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Query Parameters
Template type, only IMAGE is available
Page number, default 1
Required range:
x >= 1Number of items per page, default 10
Required range:
x >= 1⌘I
